#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libgsf-1.14.48

- Next

  libgusb-0.3.10

- Up
- Home

# libgudev-237

## Introduction to libgudev

The libgudev package contains GObject bindings for libudev.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgudev/237/libgudev-237.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libgudev/237/libgudev-237.tar.xz

- Download MD5 sum: a7783083cd74957d3a727ddc4737ee84

- Download size: 32 KB

- Estimated disk space required: 1.8 MB

- Estimated build time: less than 0.1 SBU

#### Required

GLib-2.70.4

#### Optional

gobject-introspection-1.70.0 (for gir-data, needed for GNOME), GTK-Doc-1.33.2, and umockdev-0.17.6 (for testing)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libgudev

## Installation of libgudev

Install libgudev by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dgtk_doc=true`: Use this option if GTK-Doc is installed and you wish to build and install the API documentation.

## Contents

Installed Program: None
Installed Libraries: libgudev-1.0.so
Installed Directories: /usr/include/gudev-1.0 and /usr/share/gtk-doc/html/gudev

### Short Descriptions

`libgudev-1.0.so` | is a GObject-based wrapper library for libudev

Last updated on

- Prev

  libgsf-1.14.48

- Next

  libgusb-0.3.10

- Up
- Home